Bug 26015 - Terminology: staff interface should be used everywhere
Summary: Terminology: staff interface should be used everywhere
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 25630
  Show dependency treegraph
 
Reported: 2020-07-17 23:13 UTC by Katrin Fischer
Modified: 2020-09-04 20:33 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26015: Terminology: Use staff interface instead of staff client (5.61 KB, patch)
2020-07-17 23:29 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26015: Terminology: Use staff interface instead of staff client (5.66 KB, patch)
2020-07-23 12:00 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26015: Terminology: Use staff interface instead of staff client (5.80 KB, patch)
2020-07-31 13:55 UTC, Joonas Kylmälä
Details | Diff | Splinter Review
Bug 26015: Terminology: Use staff interface instead of staff client (5.21 KB, patch)
2020-08-14 17:11 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26015: Terminology: Fix tons more staff clients to staff interfaces (36.07 KB, patch)
2020-08-14 17:11 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26015: Terminology: Use staff interface instead of staff client (5.21 KB, patch)
2020-08-26 10:06 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26015: Terminology: Fix tons more staff clients to staff interfaces (35.91 KB, patch)
2020-08-26 10:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26015: Fix selenium test (1.12 KB, patch)
2020-08-26 10:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26015: Replace 2 missing occurrences (1.63 KB, patch)
2020-08-26 11:00 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26015: Terminology: Use staff interface instead of staff client (5.28 KB, patch)
2020-08-26 11:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26015: Terminology: Fix tons more staff clients to staff interfaces (35.98 KB, patch)
2020-08-26 11:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26015: Replace 2 missing occurrences (1.70 KB, patch)
2020-08-26 11:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26015: Terminology: Use staff interface instead of staff client (5.33 KB, patch)
2020-08-28 12:58 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26015: Terminology: Fix tons more staff clients to staff interfaces (36.13 KB, patch)
2020-08-28 12:58 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26015: Replace 2 missing occurrences (1.76 KB, patch)
2020-08-28 12:58 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-07-17 23:13:22 UTC
We agreed that the preferred term is 'staff interface', not staff client, intranet or similar.
Comment 1 Katrin Fischer 2020-07-17 23:29:58 UTC
Created attachment 107049 [details] [review]
Bug 26015: Terminology: Use staff interface instead of staff client

We have agreed to use 'staff interface' instead of 'staff client'
and similar terms. This fixes the template files where staff client
appears:

To test:
- Check Administration > Patron categories
- Check the title of the staff interface start page in your
  browser tab
- Check the description of hte catalogue permission
- One more: this changes the message shown when someone managed
  to log in as the database user - as we no longer allow that, I am
  not sure if it can be triggered.
Comment 2 David Cook 2020-07-22 05:13:31 UTC
For reference:
https://wiki.koha-community.org/wiki/Terminology#S
Comment 3 Owen Leonard 2020-07-23 12:00:45 UTC
Created attachment 107226 [details] [review]
Bug 26015: Terminology: Use staff interface instead of staff client

We have agreed to use 'staff interface' instead of 'staff client'
and similar terms. This fixes the template files where staff client
appears:

To test:
- Check Administration > Patron categories
- Check the title of the staff interface start page in your
  browser tab
- Check the description of hte catalogue permission
- One more: this changes the message shown when someone managed
  to log in as the database user - as we no longer allow that, I am
  not sure if it can be triggered.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Joonas Kylmälä 2020-07-31 13:55:06 UTC
Created attachment 107643 [details] [review]
Bug 26015: Terminology: Use staff interface instead of staff client

We have agreed to use 'staff interface' instead of 'staff client'
and similar terms. This fixes the template files where staff client
appears:

To test:
- Check Administration > Patron categories
- Check the title of the staff interface start page in your
  browser tab
- Check the description of hte catalogue permission
- One more: this changes the message shown when someone managed
  to log in as the database user - as we no longer allow that, I am
  not sure if it can be triggered.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Comment 5 Jonathan Druart 2020-08-03 09:47:31 UTC
There are more occurrences that need to be replaced IMO:

api/v1/swagger/definitions/patron.json:      "description": "a note on the patron's account visible in OPAC and staff client"

koha-tmpl/intranet-tmpl/prog/en/includes/prefs-menu.inc:                <a title="Staff client" href="/cgi-bin/koha/admin/preferences.pl?tab=staff_client">Staff client</a>
koha-tmpl/intranet-tmpl/prog/en/includes/prefs-menu.inc:                <a title="Staff client" href="/cgi-bin/koha/admin/preferences.pl?tab=staff_client">Staff client</a>

a lot of .pref

koha-tmpl/intranet-tmpl/prog/en/modules/admin/searchengine/elasticsearch/mappings.tt:                    <th>Staff client</th>

t/db_dependent/selenium/authentication.t:        like( $driver->get_title, qr(Koha staff client), 'Patron with flags catalogue should be able to login' );
t/db_dependent/selenium/authentication.t:        like( $driver->get_title, qr(Koha staff client), 'Patron with flags superlibrarian should be able to login' );
Comment 6 Katrin Fischer 2020-08-05 11:42:57 UTC
(In reply to Jonathan Druart from comment #5)
> There are more occurrences that need to be replaced IMO:
> 
> api/v1/swagger/definitions/patron.json:      "description": "a note on the
> patron's account visible in OPAC and staff client"
> 
> koha-tmpl/intranet-tmpl/prog/en/includes/prefs-menu.inc:                <a
> title="Staff client"
> href="/cgi-bin/koha/admin/preferences.pl?tab=staff_client">Staff client</a>
> koha-tmpl/intranet-tmpl/prog/en/includes/prefs-menu.inc:                <a
> title="Staff client"
> href="/cgi-bin/koha/admin/preferences.pl?tab=staff_client">Staff client</a>
> 
> a lot of .pref
> 
> koha-tmpl/intranet-tmpl/prog/en/modules/admin/searchengine/elasticsearch/
> mappings.tt:                    <th>Staff client</th>
> 
> t/db_dependent/selenium/authentication.t:        like( $driver->get_title,
> qr(Koha staff client), 'Patron with flags catalogue should be able to login'
> );
> t/db_dependent/selenium/authentication.t:        like( $driver->get_title,
> qr(Koha staff client), 'Patron with flags superlibrarian should be able to
> login' );

Hi Joubu, I can take care of the other occurrences, although I think this could still bep ushed as a first step. the .pref are taken care of on bug 25630 - but I haven't managed to rebase David's follow-up. :( Help much appreciated.
Comment 7 Katrin Fischer 2020-08-14 17:11:32 UTC
Created attachment 108304 [details] [review]
Bug 26015: Terminology: Use staff interface instead of staff client

We have agreed to use 'staff interface' instead of 'staff client'
and similar terms. This fixes the template files where staff client
appears:

To test:
- Check Administration > Patron categories
- Check the title of the staff interface start page in your
  browser tab
- Check the description of hte catalogue permission
- One more: this changes the message shown when someone managed
  to log in as the database user - as we no longer allow that, I am
  not sure if it can be triggered.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Comment 8 Katrin Fischer 2020-08-14 17:11:36 UTC
Created attachment 108305 [details] [review]
Bug 26015: Terminology: Fix tons more staff clients to staff interfaces

This takes care of more occurences of staff client and changes it to
staff interface, including in code comments.

To test:
- I think in this case careful code review is what we look for.
Comment 9 Katrin Fischer 2020-08-14 17:12:27 UTC
Together with bug 25630 that should cover the cases pointed out by Joubu and some more.
Comment 10 Joonas Kylmälä 2020-08-25 14:13:53 UTC
The patches don't apply anymore:

Auto-merging installer/data/mysql/sysprefs.sql
CONFLICT (content): Merge conflict in installer/data/mysql/sysprefs.sql
Auto-merging installer/data/mysql/kohastructure.sql
Auto-merging Koha/SearchEngine/Elasticsearch/QueryBuilder.pm
error: Failed to merge in the changes.
Patch failed at 0001 Bug 26015: Terminology: Fix tons more staff clients to staff interfaces
Comment 11 Jonathan Druart 2020-08-26 10:06:56 UTC
Created attachment 109141 [details] [review]
Bug 26015: Terminology: Use staff interface instead of staff client

We have agreed to use 'staff interface' instead of 'staff client'
and similar terms. This fixes the template files where staff client
appears:

To test:
- Check Administration > Patron categories
- Check the title of the staff interface start page in your
  browser tab
- Check the description of hte catalogue permission
- One more: this changes the message shown when someone managed
  to log in as the database user - as we no longer allow that, I am
  not sure if it can be triggered.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Comment 12 Jonathan Druart 2020-08-26 10:07:00 UTC
Created attachment 109142 [details] [review]
Bug 26015: Terminology: Fix tons more staff clients to staff interfaces

This takes care of more occurences of staff client and changes it to
staff interface, including in code comments.

To test:
- I think in this case careful code review is what we look for.
Comment 13 Joonas Kylmälä 2020-08-26 10:27:25 UTC
This breaks at least the following test:

> t/db_dependent/selenium/authentication.t .. 
>     #   Failed test 'Patron with flags catalogue should be able to login'
>     #   at t/db_dependent/selenium/authentication.t line 62.
>     #                   'Koha staff client'
>     #     doesn't match '(?^u:Koha staff interface)'
>     # Looks like you failed 1 test of 5.

I wanted to test the other tests too but they don't run on the default koha-testing-docker settings or maybe there is a bug in them too (although unrelated to these string changes):

> t/db_dependent/www/auth_values_input_www.t .. Warning: <retrieval> element has non-unique value in 'name' key attribute: F at t/db_dependent/www/auth_values_input_www.t line 36.
> Warning: <retrieval> element has non-unique value in 'name' key attribute: B at t/db_dependent/www/auth_values_input_www.t line 36.
> Error GETing /cgi-bin/koha/mainpage.pl: URL must be absolute at t/db_dependent/www/auth_values_input_www.t line 65.

There seems to be still Staff client in koha-tmpl/intranet-tmpl/prog/en/modules/intranet-main.tt. Given this turned out to be not so trivial change I would like to request someone to sign-off the second patch before submitting this for QA team to review.
Comment 14 Jonathan Druart 2020-08-26 10:52:07 UTC
Created attachment 109143 [details] [review]
Bug 26015: Fix selenium test
Comment 15 Jonathan Druart 2020-08-26 10:56:53 UTC
(In reply to Jonathan Druart from comment #14)
> Created attachment 109143 [details] [review] [review]
> Bug 26015: Fix selenium test

Well, we are doing the reverse!
Comment 16 Jonathan Druart 2020-08-26 11:00:29 UTC
Created attachment 109144 [details] [review]
Bug 26015: Replace 2 missing occurrences
Comment 17 Jonathan Druart 2020-08-26 11:02:03 UTC
Created attachment 109145 [details] [review]
Bug 26015: Terminology: Use staff interface instead of staff client

We have agreed to use 'staff interface' instead of 'staff client'
and similar terms. This fixes the template files where staff client
appears:

To test:
- Check Administration > Patron categories
- Check the title of the staff interface start page in your
  browser tab
- Check the description of hte catalogue permission
- One more: this changes the message shown when someone managed
  to log in as the database user - as we no longer allow that, I am
  not sure if it can be triggered.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 18 Jonathan Druart 2020-08-26 11:02:07 UTC
Created attachment 109146 [details] [review]
Bug 26015: Terminology: Fix tons more staff clients to staff interfaces

This takes care of more occurences of staff client and changes it to
staff interface, including in code comments.

To test:
- I think in this case careful code review is what we look for.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 19 Jonathan Druart 2020-08-26 11:02:10 UTC
Created attachment 109147 [details] [review]
Bug 26015: Replace 2 missing occurrences

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 20 Jonathan Druart 2020-08-26 11:07:22 UTC
I used:
  git grep -i staff ':!*.po' ':!*.txt' ':!*.md'| grep -i client | grep -vi staffClientBaseURL | vim -

and
  git show --word-diff HEAD~3..|grep '\[\-'| vim -
Comment 21 Jonathan Druart 2020-08-26 11:07:48 UTC
It seems that remaining occurrences are fixed on bug 25630
Comment 22 Katrin Fischer 2020-08-26 20:20:35 UTC
Thx for your help, Jonathan. 

I wanted to sign-off, but the selenium tests are giving me trouble (kohadevbox, freshly provisioned) :(

I think this is me... so no reason to fail.

kohadev-koha@kohadevbox:/home/vagrant/kohaclone$ perl t/db_dependent/selenium/authentication.t
1..2
Could not create new session: Unable to connect to host 127.0.0.1 on port 7055 after 45000 ms. Firefox console output:
[...]
 at /home/vagrant/kohaclone/t/lib/Selenium.pm line 58.
# Looks like your test exited with 255 before it could output anything.
kohadev-koha@kohadevbox:/home/vagrant/kohaclone$ exit
exit
Comment 23 Katrin Fischer 2020-08-27 20:31:46 UTC
(In reply to Katrin Fischer from comment #22)
> Thx for your help, Jonathan. 
> 
> I wanted to sign-off, but the selenium tests are giving me trouble
> (kohadevbox, freshly provisioned) :(
> 
> I think this is me... so no reason to fail.
> 
> kohadev-koha@kohadevbox:/home/vagrant/kohaclone$ perl
> t/db_dependent/selenium/authentication.t
> 1..2
> Could not create new session: Unable to connect to host 127.0.0.1 on port
> 7055 after 45000 ms. Firefox console output:
> [...]
>  at /home/vagrant/kohaclone/t/lib/Selenium.pm line 58.
> # Looks like your test exited with 255 before it could output anything.
> kohadev-koha@kohadevbox:/home/vagrant/kohaclone$ exit
> exit

I've been trying to update and all, but still no luck. Coudl someone else quickly verify the tests passing please?
Comment 24 Jonathan Druart 2020-08-28 09:05:46 UTC
All selenium tests are passing with these patches.
Comment 25 Nick Clemens 2020-08-28 12:58:39 UTC
Created attachment 109279 [details] [review]
Bug 26015: Terminology: Use staff interface instead of staff client

We have agreed to use 'staff interface' instead of 'staff client'
and similar terms. This fixes the template files where staff client
appears:

To test:
- Check Administration > Patron categories
- Check the title of the staff interface start page in your
  browser tab
- Check the description of hte catalogue permission
- One more: this changes the message shown when someone managed
  to log in as the database user - as we no longer allow that, I am
  not sure if it can be triggered.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 26 Nick Clemens 2020-08-28 12:58:42 UTC
Created attachment 109280 [details] [review]
Bug 26015: Terminology: Fix tons more staff clients to staff interfaces

This takes care of more occurences of staff client and changes it to
staff interface, including in code comments.

To test:
- I think in this case careful code review is what we look for.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 27 Nick Clemens 2020-08-28 12:58:45 UTC
Created attachment 109281 [details] [review]
Bug 26015: Replace 2 missing occurrences

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 28 Jonathan Druart 2020-08-31 14:20:58 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 29 Lucas Gass 2020-09-04 20:33:46 UTC
enhancement will not be backported to 20.05.x